Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libpng: remove broken symlink

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 12 Apr 2017 14:45:07 +0300

add check()
cleanups with apng patch dealing
---
 main/libpng/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)
diff --git a/main/libpng/APKBUILD b/main/libpng/APKBUILD
index c101ddce9a..94837fed68 100644
--- a/main/libpng/APKBUILD
+++ b/main/libpng/APKBUILD
_at_@ -2,8 +2,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libpng
 pkgver=1.6.29
-_apngver=1.6.29
-pkgrel=0
+pkgrel=1
 pkgdesc="Portable Network Graphics library"
 url="http://www.libpng.org/"
 arch="all"
_at_@ -13,14 +12,14 @@ depends_dev="zlib-dev"
 makedepends="$depends_dev gawk"
 subpackages="$pkgname-doc $pkgname-dev $pkgname-utils"
 source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
-	http://downloads.sourceforge.net/sourceforge/libpng-apng/libpng-$_apngver-apng.patch.gz
+	http://downloads.sourceforge.net/sourceforge/$pkgname-apng/$pkgname-$pkgver-apng.patch.gz
 	libpng-fix-arm-neon.patch
 	"
 builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
 	cd "$builddir"
-	gunzip -c "$srcdir"/libpng-$_apngver-apng.patch.gz | patch -p1 || return 1
+	gunzip -c "$srcdir"/$pkgname-$pkgver-apng.patch.gz | patch -p1 || return 1
 	default_prepare || return 1
 }
 
_at_@ -37,11 +36,16 @@ build() {
 	make || return 1
 }
 
+check() {
+	make -C "$builddir" check
+}
+
 package() {
 	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	install -Dm644 LICENSE \
 		"$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+	rm "$pkgdir"/usr/lib/*.la
 }
 
 utils() {
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Apr 12 2017 - 14:45:07 UTC